# _NTMEMORYSTATUSEX Struct Reference

`#include <nt-base.h>`

## Data Fields

DWORD | dwLength
DWORD | dwMemoryLoad
DWORDLONG | ullTotalPhys
DWORDLONG | ullAvailPhys
DWORDLONG | ullTotalPageFile
DWORDLONG | ullAvailPageFile
DWORDLONG | ullTotalVirtual
DWORDLONG | ullAvailVirtual
DWORDLONG | ullAvailExtendedVirtual

## Field Documentation

DWORD _NTMEMORYSTATUSEX::dwLength

DWORD _NTMEMORYSTATUSEX::dwMemoryLoad

DWORDLONG _NTMEMORYSTATUSEX::ullTotalPhys

DWORDLONG _NTMEMORYSTATUSEX::ullAvailPhys

DWORDLONG _NTMEMORYSTATUSEX::ullTotalPageFile

DWORDLONG _NTMEMORYSTATUSEX::ullAvailPageFile

DWORDLONG _NTMEMORYSTATUSEX::ullTotalVirtual

DWORDLONG _NTMEMORYSTATUSEX::ullAvailVirtual

DWORDLONG _NTMEMORYSTATUSEX::ullAvailExtendedVirtual

The documentation for this struct was generated from the following file:

- nt-base.h